## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name snallygaster

Name:           snallygaster
Version:        0.0.12
Release:        %autorelease
Summary:        Tool to scan for secret files on HTTP servers

License:        CC0
URL:            https://github.com/hannob/snallygaster
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-beautifulsoup4
BuildRequires:  python3-dns
BuildRequires:  python3-setuptools
BuildRequires:  python3-urllib3

Requires:       python3-%{pypi_name} = %{?epoch:%{epoch}:}%{version}-%{release}

%description
snallygaster is a tool that looks for files accessible on web servers that
shouldn't be public and can pose a security risk.Typical examples include
publicly accessible git repositories, backup files potentially containing
passwords or database dumps.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Python files or module parts for %{pypi_name}.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
# Not running the lint test
# Set RUN_ONLINETESTS to run the tests
%{__python3} tests/test_scan_testdata.py

%files
%{_bindir}/%{pypi_name}

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 0.0.12-5
- Rebuilt for Python 3.12

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 0.0.12-2
- Rebuilt for Python 3.11

* Tue Mar 08 2022 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.12-1
- Update to latest upstream release 0.0.12 (closes rhbz#2035940)

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.10-1
- * Thu Aug 26 2021 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.10-1 -
  Update to latest upstream release 0.0.10 (rhbz#1973118)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.0.9-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Dec 28 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.9-1
- * Sun Dec 27 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.9-1 -
  Update to latest upstream release 0.0.9 (#1911204)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jun 17 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.6-1
- * Sat Jun 06 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.0.6-2 -
  Add comment about running the tests (rhbz#839542)
